SELinux - Feature #2820

Improve SELinux policy for puppet
07/24/2013 06:18 AM - Lukas Zapletal

Status: Resolved
Priority: Normal
Assignee: Lukas Zapletal
Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Thank to PassengerRuby feature in Passenger 4.0, it is possible to setup different Ruby binary for each Ruby application. We need
to create /usr/bin/ruby-foreman and ruby-puppetmaster with proper selinux contexts and configure this in httpd.

For Foreman we will move from passenger_t to newly created foreman_t domain and change our policy. For puppetmaster we will
reuse puppetmaster_t domain which is already present in the base policy (and works with puppetmaster/webrick already).

We can use this from Fedora 20 (passenger 4.0). In Fedora 19 we cannot apply this approach as there is 3.0 version and in RHEL
6.4 passenger_t already have puppetmaster rules. As a workaround for F19, we will temporarily allow passenger_t to do
puppetmaster stuff.

Related issues:

Related to Installer - Bug #3080: Installing puppetmaster with passenger with... Closed
Related to SELinux - Feature #3503: As a user I'd like to have SELinux Enforc... Closed
Has duplicate SELinux - Bug #3470: Improve SELinux policy for puppet Duplicate
History

#1 - 07/24/2013 06:22 AM - Lukas Zapletal

Or the workaround for F19 can be:

B) Use passenger 4.0 from our Koji.

#2 - 07/24/2013 07:19 AM - Dominic Cleal

more info: https://bugzilla.redhat.com/show_bug.cgi?id=848939#c41

#3 - 09/16/2013 11:54 AM - Lukas Zapletal
- Description updated

- Target version changed from 1.3.0 to 1.4.0

With this feature, we should also split our selinux package into two: TF and PM because we want to use PM separately on nodes.

#4 - 09/16/2013 11:58 AM - Lukas Zapletal

- Related to Bug #3080: Installing puppetmaster with passenger without foreman causes AVC denials added

#5 - 09/16/2013 04:48 PM - Dominic Cleal

Lukas Zapletal wrote:

With this feature, we should also split our selinux package into two: TF and PM because we want to use PM separately on nodes.

| disagree, the PM policy is already in the base OS policy (both passenger and puppetmaster domains). This will simply allow us to exclusively use
the puppetmaster domain.
https://bugzilla.redhat.com/show_bug.cgi?id=848939#c41

#6 - 10/16/2013 03:41 PM - Greg Sutcliffe
- Target version deleted (1.4.0)

#7 - 10/22/2013 06:18 PM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

- Target version set to 1.15.0

- translation missing: en.field_release set to 2

Even more info: https://bugzilla.redhat.com/show_bug.cgi?id=1012426

#8 - 10/22/2013 06:18 PM - Dominic Cleal
- Has duplicate Bug #3470: Improve SELinux policy for puppet added

#9 - 10/23/2013 07:14 AM - Lukas Zapletal

- Subject changed from Create wrappers for Foreman and PM with selinux context to Improve SELinux policy for puppet

- Create wrappers for Foreman and PM with selinux context
- Audit core selinux policy
- Rewrite the policy

More info here: https://bugzilla.redhat.com/show_bug.cgi?id=1012426

#10 - 10/29/2013 01:54 PM - Lukas Zapletal

- Related to Feature #3503: As a user I'd like to have SELinux Enforcing on all infrastructure, and agents added

#11 - 11/12/2013 12:16 PM - Lukas Zapletal
- Target version changed from 1.15.0 to 1.10.0

#12 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#13 - 01/09/2014 02:19 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#14 - 01/09/2014 02:20 PM - Sam Kottler

- Assignee changed from Lukas Zapletal to Sam Kottler

I've already had a few discussions related to this so I'm going to finish it up.

#15 - 01/20/2014 12:37 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#16 - 02/06/2014 12:07 PM - Dominic Cleal

- Target version changed from 1.9.2 to 1.9.1

#17 - 02/26/2014 12:02 PM - Dominic Cleal

- Assignee changed from Sam Kottler to Lukas Zapletal

#18 - 03/03/2014 01:11 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#19 - 03/26/2014 01:34 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#20 - 04/22/2014 01:51 PM - Lukas Zapletal

- Status changed from Assigned to Resolved
https://admin.fedoraproject.org/updates/puppet-3.4.3-3.fc20

#21 - 10/16/2018 10:57 AM - Tomer Brisker
- Project changed from Foreman to SELinux
- Category deleted (56)

- Target version deleted (1.8.4)
